%define         _state          stable
%define		orgname		libkscreen
%define         qtver           4.8.3

Summary:	Kscreen library
Name:		kde4-libkscreen
Version:	1.0.5
Release:	4
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{orgname}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	b1cc2805cd5ff468d534d75cbab69426
Patch0:		cmake.patch
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libxcb-devel
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xcb-util-image-devel
BuildRequires:	xcb-util-renderutil-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE's screen management software.

%package devel
Summary:	Header files for libkscreen development
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libkscreen development.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DQT_QMAKE_EXECUTABLE="qmake-qt4" \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkscreen.so.?
%attr(755,root,root) %{_libdir}/libkscreen.so.*.*.*
%dir %{_libdir}/kde4/plugins/kscreen
%attr(755,root,root) %{_libdir}/kde4/plugins/kscreen/KSC_Fake.so
%attr(755,root,root) %{_libdir}/kde4/plugins/kscreen/KSC_XRandR.so
%attr(755,root,root) %{_libdir}/kde4/plugins/kscreen/KSC_XRandR11.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkscreen.so
%{_includedir}/kscreen
%{_libdir}/cmake/LibKScreen
%{_pkgconfigdir}/kscreen.pc
%changelog
* Fri Oct 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libkscreen.git;a=log;h=master

* Fri Oct 04 2019 Jan Rękorajski <baggins@pld-linux.org> ae96268
- fix cmake syntax
- rel 4

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 845c5b5
- rebuild for g++ ABI changes
- release 3 (by relup.sh)

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 02e32ca
- x32 rebuild
- release 2 (by relup.sh)

* Tue Aug 05 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5880137
- up to 1.0.5

* Tue May 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> eaace02
- up to 1.0.4

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a67c46
- initial

